from clarabot_nano_common.common.error import log_escape_str

from clarabot_nano.common.request.server_general import AdminCreateDriveRequest
from clarabot_nano.server.general.handler.admin.config_update.base import AbstractAdminConfigUpdateServerHandler


class CreateDriveHandler(AbstractAdminConfigUpdateServerHandler):
    HANDLER_KEY = AdminCreateDriveRequest.TYPE_KEY

    def _create_config_update_request(self) -> dict:
        return {"_handler_key": "drive:create", "path": self.payload.get(AdminCreateDriveRequest.PATH)}

    def _log_message(self) -> str:
        return f"Create drive at {log_escape_str(self.payload.get(AdminCreateDriveRequest.PATH))}"
